Subject: Re: Virtual Memory during Compile
From: [email-masked] (Earnie Boyd)

28 May 1998 00:06:06 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: "William M. Mullins" <[email-masked]>,
        [email-masked]

Just for grins.  Try the make command from the DOS prompt.  Make sure
to "SET MAKE_MODE=unix" and the PATH is set to find the executables
before starting make.

It was reported that there is a 4 byte memory leak for every
open/close pair.  If this is the problem, then this might help.

---"William M. Mullins" <[email-masked]> wrote:
>
> Sirs:
> 
> Again the question about memory allocation.
> 
> Running NT4 SP3 64MB RAM + 260MB Pagefile
> 
> b19 + 14May98 coolview  all binary mounts and a "binary pipes" version
> of bash with bash as sh
> egcs 1.0.2 with gas et al.
> 
> trying to build octave 2.0.13 ... everything works perfectly
(configure,
> make ...) until
> 
> c++ -c  -I. -I.. -I../liboctave -I../src -I../libcruft/misc  -I../glob
> -I../glob
>  -DHAVE_CONFIG_H -mieee-fp -fno-rtti -fno-exceptions
> -fno-implicit-templates -g
> -O2 -Wall load-save.cc
>
(d:\gnu\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\egcs-2.90.27\cc1plus.exe
> 13728
> ) commit_and_inc: VirtualAlloc failed
> load-save.cc: In function `class octave_value_list Fload(const class
> octave_valu
> e_list &, int)':
> load-save.cc:1631: virtual memory exhausted
> make[2]: *** [load-save.o] Error 1
> make[1]: *** [src] Error 2
> make: *** [all] Error 2
> 
> following this with a
> 
> cd/src
> c++ -c  -I. -I.. -I../liboctave -I../src -I../libcruft/misc  -I../glob
> -I../glob -DHAVE_CONFIG_H -mieee-fp -fno-rtti -fno-exceptions
> -fno-implicit-templates -g -O2 -Wall load-save.cc
> 
> and the file compiles
> 
> returning to make and things run sweetly until
> 
> c++ -c  -I. -I.. -I../liboctave -I../src -I../libcruft/misc  -I../glob
> -I../glob
>  -DHAVE_CONFIG_H -mieee-fp -fno-rtti -fno-exceptions
> -fno-implicit-templates -g
> -O2 -Wall builtins.cc
>
(d:\gnu\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\egcs-2.90.27\cc1plus.exe
> 14363
> ) commit_and_inc: VirtualAlloc failed
> builtins.cc: In function `void install_pt_fcn_fcns()':
> builtins.cc:207: virtual memory exhausted
> make[2]: *** [builtins.o] Error 1
> make[1]: *** [src] Error 2
> make: *** [all] Error 2
> 
> 
> In this case, closing everything I can find to free up memory will not
> allow compilation.  Firing up "tast manager" and looking at memory
usage
> ... the compilation appears to fail  when the memory usage
approaches my
> 64MB RAM limit.
> 
> Bumping my system up to 128MB of RAM appears to be the short-term fix,
> but this leads to questions about the cygwin virtual memory allocation
> modules.
> 
> Has anyone else seen anything like this or am I weird?
> 
> 
> W. M. Mullins
> 
> 
> 
> 
> 
> 
> 
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".